Summary: A set of documentation tools:  man, apropos and whatis.
Name: man
Version: 1.5k
Release: 3m
License: GPL
Group: System Environment/Base
URL: http://ftp.kernel.org/pub/linux/utils/man/
Source0: http://ftp.kernel.org/pub/linux/utils/man/man-1.5k.tar.bz2
Source1: makewhatis.cronweekly
Source2: makewhatis.crondaily
Patch1: man-1.5k-confpath.patch
#Patch2: man-1.5i-i18n.patch
#Patch3: man-1.5-manconf.patch
Patch4: man-1.5h1-make.patch
Patch5: man-1.5k-nonascii.patch
Patch6: man-1.5k-security.patch
Patch7: man-1.5k-mandirs.patch
Patch8: man-1.5k-bug11621.patch
Patch9: man-1.5k-sofix.patch
Patch10: man-1.5k-buildroot.patch
Patch12: man-1.5i-ro-usr.patch
Patch14: man-1.5i2-newline.patch
Patch15: man-1.5k-lookon.patch
Patch16: man-1.5i-oldwhatis.patch
Patch17: man-1.5i2-utf8.patch
#Patch18: man-1.5i-root.patch
Patch19: man-1.5i2-overflow.patch
#Patch21: man-1.5i-fixcache.patch
#Patch22: man-1.5i-nocache.patch
#Patch23: man-1.5i2-awk31.patch
Patch24: man-1.5i2-initial.patch
# Japanese patches
#Patch50: man-1.5i2-jp1.patch
Patch51: man-1.5h1-gencat.patch
# Kondara patches
Patch60: man-1.5k-etc.patch
#Patch61: man-1.5i2-makewhatis.patch
#Patch62: man-1.5i-mandirs2.patch
Patch63: man-1.5k-pager.patch
Patch64: man-1.5k-makewhatis-bzip2.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
PreReq: fileutils
Requires: pager, groff, findutils, bzip2, mktemp >= 1.4-2k
NoSource: 0

%description
The man package includes three tools for finding information and/or
documentation about your Linux system: man, apropos and whatis.  The
man system formats and displays on-line manual pages about commands or
functions on your system.  Apropos searches the whatis database
(containing short descriptions of system commands) for a string.
Whatis searches its own database for a complete word.

The man package should be installed on your system because it is the
primary way to find documentation on a Linux system.

%prep
%setup -q
%patch1 -p1 -b .confpath
#%patch2 -p1 -b .i18n
#%patch3 -p1
mv man/en/man.conf.man man/en/man.config.man
perl -p -i -e 's,MAN\.CONF ,MAN\.CONFIG ,' man/en/man.config.man
perl -p -i -e 's,man\.conf ,man\.config ,' man/en/man.config.man
%patch4 -p1 -b .make
%patch5 -p1 -b .nonascii
%patch6 -p1 -b .security
%patch7 -p1 -b .mandirs
%patch8 -p1 -b .ad
%patch9 -p1 -b .sofix
%patch10 -p1 -b .less
%patch12 -p1 -b .usr
%patch14 -p1 -b .newline
%patch15 -p1 -b .lookon
%patch16 -p1 -b .md
#%patch50 -p1 -b .jp1
%patch51 -p1 -b .jp2
%patch17 -p1 -b .utf8
#%patch18 -p1 -b .root
%patch19 -p1 -b .overflow
#%patch21 -p1 -b .fixcache
#%patch22 -p1 -b .nocache
#%patch23 -p1 -b .awk31
# I remove this patch because not fit
## %patch24 -p1 -b .initial
%patch60 -p1 -b .etc
#%patch61 -p1 -b .makewhatis
#%patch62 -p1 -b .mandirs2
%patch63 -p1 -b .pager
%patch64 -p0 -b .bzip2~

find $RPM_BUILD_DIR/man-%{version} -type f|xargs perl -pi -e 's,man\.conf\(5\),man.config(5),g'

%build
NLSPATH="" ./configure -default +fhs +sgid +lang all
sed -e 's/-m 2555 -o root -g man//' conf_script > conf_script.$$
mv conf_script.$$ conf_script
chmod +x conf_script
make CC="gcc %{optflags} -D_GNU_SOURCE"

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/etc/cron.{daily,weekly}
mkdir -p %{buildroot}%{_bindir} %{buildroot}%{_sbindir}
make install PREFIX=%{buildroot}

install -m755 %{SOURCE1} %{buildroot}/etc/cron.weekly/makewhatis.cron
install -m755 %{SOURCE2} %{buildroot}/etc/cron.daily/makewhatis.cron

mkdir -p %{buildroot}/var/cache/man/local
mkdir -p %{buildroot}/var/cache/man/X11R6
for i in 1 2 3 4 5 6 7 8 9 n; do
	mkdir -p %{buildroot}/var/cache/man/cat$i
	mkdir -p %{buildroot}/var/cache/man/local/cat$i
	mkdir -p %{buildroot}/var/cache/man/X11R6/cat$i
	for j in cs de es fr it nl pt da fi hr ja pl sl; do
		mkdir -p %{buildroot}/var/cache/man/$j/cat$i
		mkdir -p %{buildroot}/var/cache/man/local/$j/cat$i
		mkdir -p %{buildroot}/var/cache/man/X11R6/$j/cat$i
		mkdir -p %{buildroot}/%{_mandir}/$j/man$i
	done
done

# added man2html stuff
cd man2html
make install PREFIX=%{buildroot}

# symlinks for manpath
( cd %{buildroot}
  ln -s man ./usr/bin/manpath
  ln -s man.1.gz .%{_mandir}/man1/manpath.1.gz
)

%preun
rm -f /var/cache/man/cat[123456789n]/*
rm -f /var/cache/man/local/cat[123456789n]/*
rm -f /var/cache/man/X11R6/cat[123456789n]/*
for j in cs de es fr it nl pt da fi hr ja pl sl; do
	rm -f /var/cache/man/$j/cat[123456789n]/*
	rm -f /var/cache/man/local/$j/cat[123456789n]/*
	rm -f /var/cache/man/X11R6/$j/cat[123456789n]/*
done

%post
rm -f /var/cache/man/cat[123456789n]/*
rm -f /var/cache/man/local/cat[123456789n]/*
rm -f /var/cache/man/X11R6/cat[123456789n]/*
for j in cs de es fr it nl pt da fi hr ja pl sl; do
	rm -f /var/cache/man/$j/cat[123456789n]/*
	rm -f /var/cache/man/local/$j/cat[123456789n]/*
	rm -f /var/cache/man/X11R6/$j/cat[123456789n]/*
done

%clean
rm -rf %{buildroot}

%ChangeLog
* Tue Dec 24 2002 KOMATSU Shinichiro <koma2@jiro.c.u-tokyo.ac.jp>
- (1.5k-3m)
- Added makewhatis bzip2 support patch (man-1.5k-makewhatis-bzip2.patch).
  (This patch seems to be almost the same as man-1.5i2-makewhatis.patch.
   Why was it removed?)

* Tue Nov 19 2002 OZAWA -Crouton- Sakuro <crouton@momonga-linux.org>
- (1.5k-2m)
- require pager instead of less.

* Fri Jul 19 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.5k-1m)
- minor security fixes
- change Source0 URI
- revise many patches to avoid reject...

* Sun Apr  7 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (1.5i2-10k)
- change Requires mktemp >=1.5 to >= 1.4-2k

* Thu Nov 15 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.5i2-8k)
- modify -mandocj to -mandoc

* Wed Nov 14 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.5i2-6k)
- add NLSPATH="" to configure

* Tue Nov 13 2001 Shingo Akagaki <dora@kondara.org>
- (1.5i2-4k)
- forrow up catalog

* Sun Sep 30 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.5i2-2k)
- Kondarization from redhat

* Sat May 26 2001 Shingo Akagaki <dora@kondara.org>
- (1.5i-4k)
- for Mary

* Wed May 23 2001 Shintarou Sakai <s_sakai@mxn.mesh.ne.jp>
- (1.5i-3k)
- merge redhat-7.1 (1.5i-4)

* Wed Mar  7 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.5h-18k)
- added two patches, i.e. Patch9 and Patch10 for FHS

* Sat Feb 10 2001 Shintarou Sakai <s_sakai@mxn.mesh.ne.jp>
- (1.5h-17k)
- makewhatis remove TMPFILEDIR
- modify Source0 URL and %post 

* Sat Jan 27 2001 Shintarou Sakai <s_sakai@mxn.mesh.ne.jp>
- (1.5h1-15k)
- makewhatis use bzcat

* Fri Oct 20 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (1.5h1-11k)
- fixed typo TT

* Fri Oct 20 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (1.5h1-9k)
- create /var/catman directory in %post

* Tue Jul 18 2000 Bill Nottingham <notting@redhat.com>
- makewhatis makes predicatable filenames in /tmp. Bad.

* Wed Jul 05 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.


* Tue May 30 2000 Kenichi Matsubara <m@konadara.org>
- add MANPATH /usr/kde1x/man -> /etc/man.config

* Wed Mar 1 2000 Masako Hattori <maru@kondara.org>
- change jman mv->cp

* Tue Feb 29 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.5h1 - this has a better fix for the security problems.
- remove manpath patch (now in base)
- remove loop patch (now in base)

* Mon Feb 28 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix security problems related to buffer overruns caused by oversized
  enviroment variables

* Wed Feb 23 2000 Masako Hattori <maru@kondara.org>
- do not shake %{_mandir}/ja

* Mon Feb 21 2000 Takaaki Tabuchi <tab@kondara.org>
- be able to rebuild non-root user.

* Thu Feb  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- deal with rpm gziping man pages
- fix file locking (Bug #8947)

* Mon Sep 13 1999 Bill Nottingham <notting@redhat.com>
- strip man2html

* Fri Sep 10 1999 Cristian Gafton <gafton@redhat.com>
- revert to latin1 instead of ascii

* Wed Jun 16 1999 Cristian Gafton <gafton@redhat.com>
- fixed man2html loop on terminfo.5 (patrch from the author; #3316)

* Mon May 10 1999 Michael K. Johnson <johnsonm@redhat.com>
- fixed #2532 by adding /usr/local/sbin as a MANPATH_MAP

* Fri Apr 09 1999 Michael K. Johnson <johnsonm@redhat.com>
- cron.weekly rebuilds, cron.daily updates in minimal time

* Fri Apr 09 1999 Preston Brown <pbrown@redhat.com>
- man 1.5g bugfix release

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Thu Feb 18 1999 Jeff Johnson <jbj@redhat.com>
- add manpath symlinks (#1138).

* Fri Feb 12 1999 Michael Maher <mike@redhat.com>
- fixed bug #792
- added man2html files

* Tue Dec 29 1998 Cristian Gafton <gafton@redhat.com>
- build for 6.0
- upgraded to 1.5e
- properly buildrooted

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- enable fsstnd organization
- change /var/catman/X11 to X11R6
- %post/%preun to clean up cat litter

* Tue Jun 02 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Tue Jun 02 1998 Erik Troan <ewt@redhat.com>
- you can't do free(malloc(10) + 4) <sigh>

* Wed May 06 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.5d

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Apr 10 1998 Cristian Gafton <gafton@redhat.com>
- updated to 1.5a

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- uses a build root

* Mon Sep 22 1997 Erik Troan <ewt@redhat.com>
- updated to man-1.4j, which fixes some security problems; release 1 is
  for RH 4.2, release 2 is for glibc
 
* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Mar 25 1997 Erik Troan <ewt@redhat.com>
- Added /usr/lib/perl5/man to default manpath

%files
%defattr(-,root,root)
%config /etc/cron.weekly/makewhatis.cron
%config /etc/cron.daily/makewhatis.cron
%config /etc/man.config
%attr(0775,root,man)	/var/cache/man
%attr(2755,root,man)	/usr/bin/man
/usr/bin/man2dvi
/usr/bin/manpath
/usr/bin/man2html
/usr/bin/whatis
/usr/bin/apropos
/usr/sbin/makewhatis
/usr/share/locale/*/man
%{_mandir}/man*/*
%{_mandir}/cs
%{_mandir}/fr
%{_mandir}/it
%{_mandir}/pt
%{_mandir}/sl
%{_mandir}/da
%{_mandir}/es
%{_mandir}/ja
%{_mandir}/nl   
%{_mandir}/de
%{_mandir}/fi
%{_mandir}/hr
%{_mandir}/pl   
